# TypeMatcher

interface TypeMatcher

Base interface for type matchers.

#### Inheritors

ClassTypeMatcher
GenericArrayTypeMatcher
ParameterizedTypeMatcher
TypeVariableMatcher
WildcardTypeMatcher

## Functions

asGenericArray
Link copied to clipboard
fun TypeMatcher . asGenericArray (): GenericArrayTypeMatcher

Creates a GenericArrayTypeMatcher from TypeMatcher.

matches
Link copied to clipboard
abstract fun matches (type: Type ): Boolean

Check if the type matches the given type.